<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>PHP Bootstrap Calculator</title>

    <!-- Boostrap CSS -->
    <link href="bootstrap-5.3.3/css/bootstrap.min.css" rel="stylesheet" type="text/css">
</head>
<body>
    <div class="container-fluid">
        <div class="row">

            <div class="col-md-4"></div>
            <div class="col-md-4">
                <h3 class="text-center">PHP Bootstrap Calculator</h3>
                <form method="POST" action="index.php">
                    <div class="mb-3">
                        <label for="number1" class="form-label">Number 1:</label>
                        <input type="text" class="form-control" name="number1" id="number1" value="<?php if(isset($_POST["number1"])) echo $_POST["number1"]; ?>">
                    </div>
                    <div class="mb-3">
                        <label for="number12" class="form-label">Number 2:</label>
                        <input type="text" class="form-control" name="number2" id="number2" value="<?php if(isset($_POST["number2"])) echo $_POST["number2"]; ?>">
                    </div>

                    <?php
                        if($_SERVER["REQUEST_METHOD"] == "POST") {
                            // do something
                            //echo "submitted";

                            $resultText = "";

                            if(isset($_POST["number1"]) && isset($_POST["number2"])) {

                                if(!empty($_POST["number1"]) && !empty($_POST["number2"])) {
                                    if(is_numeric($_POST["number1"]) && is_numeric($_POST["number2"])) {
                                        if(isset($_POST["calculate"])) {
                                            if($_POST["calculate"] == "add") {
                                                $number1 = $_POST["number1"];
                                                $number2 = $_POST["number2"];

                                                $result = $number1 + $number2;

                                                $resultText = "The result is ".$result;
                                            } elseif($_POST["calculate"] == "sub") {
                                                $number1 = $_POST["number1"];
                                                $number2 = $_POST["number2"];

                                                $result = $number1 - $number2;

                                                $resultText = "The result is ".$result;
                                            } elseif($_POST["calculate"] == "mul") {
                                                $number1 = $_POST["number1"];
                                                $number2 = $_POST["number2"];

                                                $result = $number1 * $number2;

                                                $resultText = "The result is ".$result;
                                            } else {
                                                $number1 = $_POST["number1"];
                                                $number2 = $_POST["number2"];

                                                $result = $number1 / $number2;

                                                $resultText = "The result is ".$result;
                                            }
                                        } else {
                                            $resultText = "Please click on the operation that you want to execute";
                                        }
                                    } else {
                                        $resultText = "Please enter only numbers";
                                    }
                                } else {
                                    $resultText = "Please enter number 1 and 2";
                                }
                            } else {
                                $resultText = "Please enter number 1 and 2";
                            }

                            echo "<div class='mb-3'>";
                            echo "<div><strong>$resultText</strong></div>";
                            echo "</div>";
                        }
                    ?>

                    <div class="mb-3 text-center">
                        <button type="submit" class="btn btn-primary" name="calculate" value="add">
                            +
                        </button>
                        <button type="submit" class="btn btn-secondary" name="calculate" value="sub">
                            -
                        </button>
                        <button type="submit" class="btn btn-warning" name="calculate" value="mul">
                            x
                        </button>
                        <button type="submit" class="btn btn-danger" name="calculate" value="div">
                            /
                        </button>
                    </div>
                </form>
            </div>
            <div class="col-md-4"></div>
        </div>
    </div>

    <!-- jQuery -->
    <script src="js/jquery-3.7.1.min.js"></script>

    <!-- Popper and Boostrap -->
    <script src="bootstrap-5.3.3/js/popper.min.js"></script>
    <script src="bootstrap-5.3.3/js/bootstrap.min.js"></script>
</body>
</html>